### Method

# FwupdPlugin Context has_hwid_guid

#### Declaration [src]

    gboolean
    fu_context_has_hwid_guid (
      FuContext* self,
      const gchar* guid
    )

#### Description [src]

Finds out if a hardware GUID exists.

Available since: | 1.6.0

#### Parameters

`guid` | `const gchar*`
| A GUID, e.g. `059eb22d-6dc7-59af-abd3-94bbe017f67c`
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gboolean`
| `TRUE` if the GUID exists.